Description

Audacious is very peculiar in that the "previous track" action always goes to the previous track, while almost every other player out

there go to the beginning of the current track (except when the current track hasn't played for more than a few seconds). This

behavior is very annoying, I wouldn't say per se, but at least because of a "muscle memory" developed along years and even

decades. I'm proposing to add a simple checkbox in the settings dialog to let the user choose the traditional behavior in case he/she

so desires.

A similar feature was requested recently (https://redmine.audacious-media-player.org/issues/836) and the request was rejected

because there already is a key shortcut for the desired behavior. But this isn't taking into account the CLI and the potential

multimedia key bindings. Many users configure their window managers keys to call the CLI of their music players.

This is why I'm proposing to add a toggle: it's not invasive for users accustomed to the peculiar behavior of audacious and it covers

all cases by directly modifying the meaning of "previous track".

History

#1 - February 16, 2019 04:50 - Carlos Pita

If you don't like the idea of adding a setting for this, at least add a CLI option to get the standard behavior, say -R/--Rew

#2 - February 16, 2019 06:42 - John Lindgren

For the CLI, this should do roughly what you want:

#!/bin/sh

if test `audtool current-song-output-length-seconds` -ge 3 ; then

  audtool playback-seek 0

else

  audtool playlist-reverse

fi

#3 - February 16, 2019 15:36 - Carlos Pita

Didn't know about audtool, it's nice to see that you can do such things from the CLI.

Still I think a toggle to optionally make audacious behave like every other player in this humble but pervasive aspect would be a nice feature, at least

out of politeness.

And writing and script that launches a bash process plus two audtool ones just to go back seems a bit overkilling to me. Not that I've not done similar

things many times before.
#4 - February 24, 2019 13:43 - John Lindgren

- Subject changed from Add flag to make -r and back button behave the usual way to Optionally make "previous track" restart current track

#5 - August 03, 2022 18:48 - John Lindgren

- Status changed from New to Rejected

Closing feature requests that have seen no activity in 3 years.
